# Generated by Django 3.0.5 on 2020-05-02 12:18

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('treso', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='notedefrais',
            name='collaborateur',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notes_de_frais', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='factureelement',
            name='facture',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='elements', to='treso.Facture'),
        ),
        migrations.AddField(
            model_name='facture',
            name='client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='factures', to='treso.Client'),
        ),
        migrations.AddField(
            model_name='entreegrilletarifaire',
            name='categorie',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='treso.CategorieGrilleTarifaire'),
        ),
        migrations.AddField(
            model_name='deviselement',
            name='facture',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='elements', to='treso.Devis'),
        ),
        migrations.AddField(
            model_name='devis',
            name='client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='devis', to='treso.Client'),
        ),
    ]
